<?php

namespace KupShop\GraphQLBundle\ApiPos\Types\Payments;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class PosPayment
{
    private $id;
    private $date;
    private $idOrder;
    private $paid;
    private $selected;
    private $paymentType;
    private $note;
    private $handledBy;
    private $currencySymbol;

    public function __construct($id, $date, $idOrder, $paid, $selected, $paymentType, $note, $handledBy, $currencySymbol)
    {
        $this->id = $id;
        $this->date = $date;
        $this->idOrder = $idOrder;
        $this->paid = $paid;
        $this->selected = $selected;
        $this->paymentType = $paymentType;
        $this->note = $note;
        $this->handledBy = $handledBy;
        $this->currencySymbol = $currencySymbol;
    }

    /**
     * @Field()
     */
    public function getId(): string
    {
        return strval($this->id);
    }

    /**
     * @Field()
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * @Field()
     */
    public function getHandledBy(): ?string
    {
        return $this->handledBy;
    }

    /**
     * @Field()
     */
    public function getNote(): ?string
    {
        return $this->note;
    }

    /**
     * @Field()
     */
    public function getPaid(): ?string
    {
        return strval($this->paid);
    }

    /**
     * @Field()
     */
    public function getIdOrder(): ?string
    {
        return strval($this->idOrder);
    }

    /**
     * @Field()
     */
    public function getSelected(): ?string
    {
        return $this->selected;
    }

    /**
     * @Field()
     */
    public function getPaymentType(): string
    {
        return $this->paymentType;
    }

    /**
     * @Field()
     */
    public function getCurrencySymbol(): string
    {
        return $this->currencySymbol;
    }
}
